%define anolis_release 2

Name:           libportal
Version:        0.6
Release:        %{anolis_release}%{?dist}
Summary:        Flatpak portal library
License:        LGPLv3
Url:            https://github.com/flatpak/libportal
Source:         https://github.com/flatpak/libportal/releases/download/%{version}/%{name}-%{version}.tar.xz

BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  gi-docgen
BuildRequires:  meson
BuildRequires:  vala
BuildRequires:  git
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(gio-unix-2.0)
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(gtk4)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5X11Extras)

# Backport from post-0.6 fixes
Patch0: 0.6-backports.patch

%description
libportal provides GIO-style asynchronous APIs for most Flatpak portals.

%package gtk3
Summary: GTK+ 3 libraries for %name
Requires: %{name} = %{version}-%{release}

%description gtk3
%name provides GIO-style asynchronous APIs for most Flatpak portals.

This package provides files for GTK+ 3 and %name.

%package gtk4
Summary: GTK 4 libraries for %name
Requires: %{name} = %{version}-%{release}

%description gtk4
%name provides GIO-style asynchronous APIs for most Flatpak portals.

This package provides files for GTK 4 and %name.

%package qt5
Summary: Qt5 libraries for %name
Requires: %{name} = %{version}-%{release}

%description qt5
%name provides GIO-style asynchronous APIs for most Flatpak portals.

This package provides files for Qt 5 and %name.

%package devel
Summary: Development files and libraries for %name
Requires: %{name} = %{version}-%{release}

%description devel
%name provides GIO-style asynchronous APIs for most Flatpak portals.

This package provides files for development with %name.

%package gtk3-devel
Summary: GTK+ 3 development files and libraries for %name
Requires: %{name}-devel = %{version}-%{release}
Requires: %{name}-gtk3 = %{version}-%{release}

%description gtk3-devel
%name provides GIO-style asynchronous APIs for most Flatpak portals.

This package provides files for development with GTK+ 3 and %name.

%package gtk4-devel
Summary: GTK 4 development files and libraries for %name
Requires: %{name}-devel = %{version}-%{release}
Requires: %{name}-gtk4 = %{version}-%{release}

%description gtk4-devel
%name provides GIO-style asynchronous APIs for most Flatpak portals.

This package provides files for development with GTK 4 and %name.

%package qt5-devel
Summary: Qt 5 development files and libraries for %name
Requires: %{name}-devel = %{version}-%{release}
Requires: %{name}-qt5 = %{version}-%{release}

%description qt5-devel
%name provides GIO-style asynchronous APIs for most Flatpak portals.

This package provides files for development with Qt 5 and %name.

%package doc
Summary: Development documentation for libportal
# Because web fonts from upstream are not bundled in the gi-docgen package,
# packages containing documentation generated with gi-docgen should depend on
# this metapackage to ensure the proper system fonts are present.
Recommends: gi-docgen-fonts
Requires: %{name} = %{version}-%{release}
Provides: %{name}-devel-doc = %{version}-%{release}
Obsoletes: %{name}-devel-doc < %{version}-%{release}
BuildArch: noarch

%description doc
libportal provides GIO-style asynchronous APIs for most Flatpak portals.

This package provides development documentations for libportal.

%prep
%autosetup -p1 -S git_am

%build
%meson
%meson_build

%install
%meson_install

%files
%license COPYING
%{_libdir}/girepository-1.0/Xdp-1.0.typelib
%{_libdir}/libportal.so.1*

%files gtk3
%{_libdir}/girepository-1.0/XdpGtk3-1.0.typelib
%{_libdir}/libportal-gtk3.so.1*

%files gtk4
%{_libdir}/girepository-1.0/XdpGtk4-1.0.typelib
%{_libdir}/libportal-gtk4.so.1*

%files qt5
%{_libdir}/libportal-qt5.so.1*

%files devel
%{_datadir}/gir-1.0/Xdp-1.0.gir
%{_datadir}/vala/vapi/libportal.deps
%{_datadir}/vala/vapi/libportal.vapi
%{_includedir}/libportal
%{_libdir}/libportal.so
%{_libdir}/pkgconfig/libportal.pc

%files gtk3-devel
%{_datadir}/gir-1.0/XdpGtk3-1.0.gir
%{_datadir}/vala/vapi/libportal-gtk3.deps
%{_datadir}/vala/vapi/libportal-gtk3.vapi
%{_includedir}/libportal-gtk3
%{_libdir}/libportal-gtk3.so
%{_libdir}/pkgconfig/libportal-gtk3.pc

%files gtk4-devel
%{_datadir}/gir-1.0/XdpGtk4-1.0.gir
%{_datadir}/vala/vapi/libportal-gtk4.deps
%{_datadir}/vala/vapi/libportal-gtk4.vapi
%{_includedir}/libportal-gtk4
%{_libdir}/libportal-gtk4.so
%{_libdir}/pkgconfig/libportal-gtk4.pc

%files qt5-devel
%{_includedir}/libportal-qt5
%{_libdir}/libportal-qt5.so
%{_libdir}/pkgconfig/libportal-qt5.pc

%files doc
%{_datadir}/doc/libportal-1
%doc README.md NEWS doc/libportal.md

%changelog
* Mon Dec 09 2024 mgb01105731 <mgb01105731@alibaba-inc.com> - 0.6-2
- Rebuild for remove inappropriate build dependencies.

* Mon Mar 20 2023 happy_orange <songnannan@linux.alibaba.com> - 0.6-1
- package init from upstream
